dh-php (5.20) unstable; urgency=medium

  [ Joe Nahmias ]
  * Update regex to capture php versions with only two components
    (Closes: #1124008)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Jan 2026 11:22:22 +0100

dh-php (5.19) unstable; urgency=medium

  * Fix an error when min_ver would be never empty

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 13:04:42 +0100

dh-php (5.18) unstable; urgency=medium

  * Make php-versions read the X-PHP-Versions

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 12:40:34 +0100

dh-php (5.17) unstable; urgency=medium

  * Use gcc -dumpversion instead of gcc --version

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Dec 2025 17:57:51 +0100

dh-php (5.16) unstable; urgency=medium

  * Add support for specifying max PHP version as X.Y.99

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Nov 2025 07:43:54 +0100

dh-php (5.15) unstable; urgency=medium

  * Update changelog for 5.14 release
  * Use -fpermissive only with gcc >= 14

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Nov 2025 06:54:32 +0100

dh-php (5.14) unstable; urgency=medium

  * Use -fpermissive even with C, and mask the error in mongodb

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Aug 2025 18:10:03 +0200

dh-php (5.13) unstable; urgency=medium

  * Disable -fpermissive for C, enable it just for C++

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Aug 2025 09:39:03 +0200

dh-php (5.12) unstable; urgency=medium

  * Use -Wall -Wno-pedantic -fpermissive also for C++

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Aug 2025 09:44:15 +0200

dh-php (5.11) unstable; urgency=medium

  * Relax the compilation options for the PECL extensions

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Aug 2025 15:08:04 +0200

dh-php (5.10) unstable; urgency=medium

  * Generate binNMU-safe Depends/Breaks/Replaces (Closes: #1102143)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Apr 2025 16:15:45 +0200

dh-php (5.9) unstable; urgency=medium

  * Explicitly set SED and EGREP variables to fix PHP <= 7.3 m4 build ordering

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Apr 2025 14:47:54 +0200

dh-php (5.8) unstable; urgency=medium

  * Run /usr/share/dh-php/gen-control -a during dh_prep step

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Dec 2024 21:15:00 +0100

dh-php (5.7) unstable; urgency=medium

  * Add ability to generate extra d/control content and add a single Breaks/Replaces package

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Oct 2024 15:52:33 +0200

dh-php (5.6) unstable; urgency=medium

  * Add ability to generate specific PHP version to gen-control script

 -- Ondřej Surý <ondrej@debian.org>  Sun, 22 Sep 2024 09:02:40 +0200

dh-php (5.5) unstable; urgency=medium

  * Generalize the Architecture: all for php-<ext> and php-<ext>-all-dev
    replacement

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Jul 2024 19:20:19 +0200

dh-php (5.4) unstable; urgency=medium

  * Fix PHP version parsing after Debian version inclusion

 -- Ondřej Surý <ondrej@debian.org>  Sun, 21 Jan 2024 10:45:12 +0100

dh-php (5.3) unstable; urgency=medium

  * pkg-pecl.mk: Generate d/control for all available packages

 -- Ondřej Surý <ondrej@debian.org>  Tue, 20 Jun 2023 10:52:30 +0200

dh-php (5.2) unstable; urgency=medium

  * Bump version for source-only build

 -- Ondřej Surý <ondrej@debian.org>  Thu, 05 Jan 2023 14:20:19 +0100

dh-php (5.1) unstable; urgency=medium

  * Add 'empty package' to php-<ext> and php-<ext>-all-dev packages.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Dec 2022 15:16:43 +0100

dh-php (5) unstable; urgency=medium

  * Replace the php-PECL-all-dev with explicitly listing the versioned
    PECL dependencies to help with the split PECL packages.

    This doesn't affect Debian because we only ship a single version, but
    if there are multiple source packages then we need to explicitly
    depend on versioned extensions to pull all of them.  This is the case
    of php-msgpack-all-dev dependency in php-memcached.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 11:49:21 +0200

dh-php (4.9) unstable; urgency=medium

  * Fix PHP_VERSIONS -> DH_PHP_VERSIONS missing rename

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2022 10:33:09 +0100

dh-php (4.8) unstable; urgency=medium

  * Filter-out curl from -all-dev packages (Closes: #1006428)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2022 05:01:10 +0100

dh-php (4.7) unstable; urgency=medium

  * Also filter the retrieved version with available versions in
    pkg-pecl.mk

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Jan 2022 19:53:03 +0100

dh-php (4.6) unstable; urgency=medium

  * Add support for disabling the dummy packages
  * Filter-out the found versions against supported versions

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Jan 2022 15:48:34 +0100

dh-php (4.5) unstable; urgency=medium

  * Add preliminary support for split source packages (for different PHP
    version sets)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 14:46:09 +0100

dh-php (4.4) unstable; urgency=medium

  * Restore the dependency on the phpapi-<date> packages
    (Closes: #1000233)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 12:54:52 +0100

dh-php (4.3) unstable; urgency=medium

  * Add ability to parse custom d/control headers

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Nov 2021 13:46:54 +0100

dh-php (4.2) unstable; urgency=medium

  * Regenerate d/control before running dh_prep

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 14:51:03 +0100

dh-php (4.1) unstable; urgency=medium

  * Fix packages where source package name is not php-<ext>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:37:20 +0100

dh-php (4) unstable; urgency=medium

  * Improve the debian/control generating scripts

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 11:11:12 +0100

dh-php (3.1) unstable; urgency=medium

  * Finish the current round of updates to dh-php

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 17:54:27 +0100

dh-php (3.0.7) unstable; urgency=medium

  * Allow overriding PHP_DEFAULT_VERSION with PHP_DEFAULT_VERSION_OVERRIDE

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 16:43:22 +0100

dh-php (3.0.6) unstable; urgency=medium

  * Fix extra . at end of PHP_DEFAULT_VERSION

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 15:56:53 +0100

dh-php (3.0.5) unstable; urgency=medium

  * Properly quote '$' in php-config sed
  * Revert "Fix adding the php-all-dev to php-<pecl>-all-dev"

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:22:31 +0100

dh-php (3.0.4) unstable; urgency=medium

  * Fix adding the php-all-dev to php-<pecl>-all-dev

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 12:51:15 +0100

dh-php (3.0.3) unstable; urgency=medium

  * Explicitly add php-all-dev to generated php-<pecl>-all-dev packages

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 11:10:16 +0100

dh-php (3.0.2) unstable; urgency=medium

  * Filter-out mbstring and xml from -all-dev generation

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 11:07:47 +0100

dh-php (3.0.1) unstable; urgency=medium

  * Revert "Filter-out more extensions included in the base PHP packages"
  * Filter-out pcre extension

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 10:57:18 +0100

dh-php (3.0) unstable; urgency=medium

  * Fix generating php-<pecl> and php-<pecl>-all-dev dependencies
  * Build-Depend on php-all-dev (>= 80~) to pull the needed dependencies

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:46:49 +0100

dh-php (2.99.2) unstable; urgency=medium

  * Fix couple of typos in pkg-pecl.mk
  * Pull the default PHP version from php-config

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:18:25 +0100

dh-php (2.99.1) unstable; urgency=medium

  * Filter-out more extensions included in the base PHP packages

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Feb 2021 21:16:56 +0100

dh-php (2.99.0) unstable; urgency=medium

  * Remove the old versions' conffiles cleaning code
  * Introduce the php-<pecl_name>-all-dev that depends on all version and
    make php-<pecl_name> depend on just php<default_ver>-<pecl_name>

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Feb 2021 20:56:28 +0100

dh-php (2.4) unstable; urgency=medium

  * Add extra phpX.Y-common Depends to generated packages (GH #1535)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 16:02:56 +0100

dh-php (2.3) unstable; urgency=medium

  * Disable the dependency on the phpapi-<date> packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Oct 2020 07:16:39 +0200

dh-php (2.2) unstable; urgency=medium

  * Add missing self-depends on the main package

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 15:24:01 +0200

dh-php (2.1) unstable; urgency=medium

  * Add more standard extensions to strip from dependencies, replace
    libxml with xml

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 14:23:56 +0200

dh-php (2.0) unstable; urgency=medium

  * Parse package.xml for dependencies and use them

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 14:05:20 +0200

dh-php (1.5) unstable; urgency=medium

  * Add gbp.conf for main branch
  * Bump standards version to 4.5.0.3 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Oct 2020 16:21:33 +0200

dh-php (1.4) unstable; urgency=medium

  * Remove the extra versioning of meta packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 16:17:57 +0200

dh-php (1.3) unstable; urgency=medium

  * Fix the meta-package versioning

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 15:44:31 +0200

dh-php (1.2) unstable; urgency=medium

  * Improve the versioning of the meta-package

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 15:19:14 +0200

dh-php (1.1) unstable; urgency=medium

  * Fix the pecl:Depends dh_gencontrol invocation

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 14:50:09 +0200

dh-php (1.0) unstable; urgency=medium

  * Add better Depends from old package to new binary packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 14:16:26 +0200

dh-php (0.39) unstable; urgency=medium

  * Add magic to add Breaks and Replaces from binary to old binary

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 14:12:22 +0200

dh-php (0.38) unstable; urgency=medium

  * Modify INSTALL_ROOT to be separate for each PHP version build

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 13:33:00 +0200

dh-php (0.37) unstable; urgency=medium

  * Dynamically create a list of phpX.Y-name packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 13:11:45 +0200

dh-php (0.36) unstable; urgency=medium

  * Convert to debhelper 10

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Sep 2020 15:22:09 +0200

dh-php (0.35) unstable; urgency=medium

  [ Kunal Mehta ]
  * pkg-pecl: Run tests during package build (Closes: #913773)

  [ Ondřej Surý ]
  * Silence find error when inidir is not yet created

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 Dec 2019 11:31:16 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dh-php`.
